<?php

namespace App\Http\Controllers\Webprofile\Front;

use App\Http\Controllers\Controller;
use App\Models\Webprofile\Categories;
use App\Models\Webprofile\Design;
use App\Models\Webprofile\Posts;
use App\Models\Webprofile\Menu;
use Session;

class CategoryController extends Controller
{
    public function index($category)
    {
        $setting = webprofilesetting();

        if (!Session::has('selected_language')) {
            session(['selected_language' => 'id']);
        }

        if (Session::get('selected_language') == 'id') {
            $data = $this->getDataId($setting, $category);

            return view('webprofile.front.'.$setting['theme'].'.archive', $data)->withTitle('Arsip');
        } elseif (Session::get('selected_language') == 'en') {
            $data = $this->getDataEn($setting, $category);

            return view('webprofile.front.'.$setting['theme'].'.en.archive', $data)->withTitle('Archive');
        }
    }

    public function getDataId($setting, $category)
    {
        $setting = webprofilesetting();
        $findCategory = Categories::where('name', $category)->first();
        $data = Posts::where('categories', $findCategory->id)->where('post_status', '1')->orderBy('post_date', 'desc')->paginate($setting['post_per_page']);
        $resend = Posts::where('post_status', '1')->orderby('post_date', 'desc')->limit('5')->get();
        $hot = Posts::where('post_status', '1')->orderby('viewer', 'desc')->limit('5')->get();
        $categories = Categories::where('is_active', '1')->get();
        $menu = Menu::orderby('urutan', 'asc')->get();
        $widget_right = Design::where('name_design', 'widget_right')->orderBy('urutan', 'ASC')->get();
        $widget_left = Design::where('name_design', 'widget_left')->orderBy('urutan', 'ASC')->get();
        $footer = Design::where('name_design', 'like', '%footer_row%')->get();

        $data = [
            'setting' => $setting,
            'data' => $data,
            'menu' => $menu,
            'widget_right' => $widget_right,
            'widget_left' => $widget_left,
            'resend' => $resend,
            'hot' => $hot,
            'categories' => $categories,
            'footer' => $footer,
        ];

        return $data;
    }

    public function getDataEn($setting, $category)
    {
        $setting = webprofilesetting();
        $findCategory = Categories::where('name', $category)->first();
        $data = Posts::with(['rEn'])->where('categories', $findCategory->id)->where('post_status', '1')->orderBy('post_date', 'desc')->paginate($setting['post_per_page']);
        $resend = Posts::with(['rEn'])->where('post_status', '1')->orderby('post_date', 'desc')->limit('5')->get();
        $hot = Posts::with(['rEn'])->where('post_status', '1')->orderby('viewer', 'desc')->limit('5')->get();
        $categories = Categories::with(['rEn'])->where('is_active', '1')->get();
        $menu = Menu::with(['rEn'])->orderby('urutan', 'asc')->get();
        $widget_right = Design::where('name_design', 'widget_right')->orderBy('urutan', 'ASC')->get();
        $widget_left = Design::where('name_design', 'widget_left')->orderBy('urutan', 'ASC')->get();
        $footer = Design::where('name_design', 'like', '%footer_row%')->get();

        $data = [
            'setting' => $setting,
            'data' => $data,
            'menu' => $menu,
            'widget_right' => $widget_right,
            'widget_left' => $widget_left,
            'resend' => $resend,
            'hot' => $hot,
            'categories' => $categories,
            'footer' => $footer,
        ];

        return $data;
    }
}
